Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.clustering.management
Interface GroupManagementAgent

    public interface GroupManagementAgent

This is the interface through which the load balancing event are notified. This will only be used when this member is running in loadBalance mode. In order to do this, in the axis2.xml file, set the value of the "mode" parameter to "loadBalance" and then provide the class that implements this interface using the "loadBalanceEventHandler" entry.

Method Summary
`void` | `applicationMemberAdded(Member member)` An application member joined the application group
`void` | `applicationMemberRemoved(Member member)` An application member left the application group
`java.lang.String` | `getDescription()` Get the description about this group management agent
`java.util.List<Member>` | `getMembers()` Get the list of current members
`void` | `send(GroupManagementCommand command)` Send a GroupManagementCommand to the group
`void` | `setDescription(java.lang.String description)` Set the description about this group management agent

Method Detail

### setDescription

    void setDescription(java.lang.String description)

  Set the description about this group management agent

  Parameters:
    `description` - The description

### getDescription

    java.lang.String getDescription()

  Get the description about this group management agent

  Returns:
    The description

### applicationMemberAdded

    void applicationMemberAdded(Member member)

  An application member joined the application group

  Parameters:
    `member` - Represents the member who joined

### applicationMemberRemoved

    void applicationMemberRemoved(Member member)

  An application member left the application group

  Parameters:
    `member` - Represents the member who left

### getMembers

    java.util.List<Member> getMembers()

  Get the list of current members

  Returns:
    List of current members

### send

    void send(GroupManagementCommand command)
              throws ClusteringFault

  Send a GroupManagementCommand to the group

  Parameters:
    `command` - The command
  Throws:
    `ClusteringFault` - If an error occurs while sending the command

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.